using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

class CharacterSpawner : MonoBehaviour
{
    public float timeBetweenSpawn = 7f;
    public float spawnTimeSigmaVariation = 1.5f;

    private SpawnTest spawnTester;

    private void Awake()
    {
        spawnTester = GetComponent<SpawnTest>();
    }

    private void Start()
    {
        SpawnAndReset();
    }

    public void SpawnAndReset()
    {
        spawnTester.SpawnAndMoveGuest(1);
        Invoke("SpawnAndReset", timeBetweenSpawn + Common.Random.BoundedGaussDist(timeBetweenSpawn, spawnTimeSigmaVariation));
    }
}
